Permalink
Commits on Oct 24, 2010
Commits on Oct 22, 2010
  1. [ttmodule] Properly check for duplicate LDFLAGS.

    Xcode annoyingly reformats the LDFLAGS if there is a space in them.
    jverkoey committed Oct 22, 2010
  2. Add Icon@2x.png image.

    jverkoey committed Oct 21, 2010
Commits on Oct 20, 2010
  1. Add ttmodule script.

    Implemented a pbxproj python script for adding dependencies to projects
    via the command line.
    
    It's built upon a collection of incredibly simple regular expressions
    and a basic understanding of the pbxproj file format.
    
    For help: python ttmodule.py -h
    jverkoey committed Oct 19, 2010
Commits on Oct 14, 2010
  1. Resolve an issue with Xcode 3.2.4 and building Three20 with LLVM 1.5.

    All precompiled headers now use the Xcode 3.2.4 fix if necessary to
    resolve errors when compiling with LLVM 1.5.
    
    If you would like to build Three20 with LLVM 1.5, simply edit
    src/common/Configurations/Library.xcconfig
    and uncomment the necessary lines.
    
    The next change will resolve warnings associated with building Three20
    with LLVM 1.5.
    jverkoey committed Oct 14, 2010
  2. Closes #219. Add support for @2x file loading to the URLCache object.

    Unit testing:
    * [Network] testTTURLCache_doubleImageURLPath
    * [Network] testTTURLCache_hasImageForURL
    * [Core] testDefaultBundles
    * [Core] testSettingDefaultBundles
    jverkoey committed Oct 13, 2010
  3. [Network] Add the Core library header to the Network library header.

    Network depends upon the Core library, so we should have access to the
    Core library when we import only the Network header.
    jverkoey committed Oct 13, 2010
  4. Add 3.2.2 Xcode templates.

    jverkoey committed Oct 13, 2010
  5. Add 3.2.5 Xcode templates.

    jverkoey committed Oct 13, 2010
  6. Update catalog.

    jverkoey committed Oct 13, 2010
  7. Remove redundant settings.

    jverkoey committed Oct 13, 2010
  8. Cleanup all projects.

    jverkoey committed Oct 13, 2010
  9. Remove 3.2.4 from the respective lib titles; they're the default.

    Let's just use the basic name for the default libs. If someone is running
    Xcode 3.2.5 or 3.2.2, they can choose to build those projects instead.
    jverkoey committed Oct 13, 2010